Cygport Reference Manual

### TABLE OF CONTENTS

- Checks

- check_header
- check_lib
- check_prog
- check_prog_req
- check_tool
- check_target_tool
- check_pkg_config
- check_girepository_module
- check_lua_module
- check_ocaml_module
- check_perl_module
- check_php_module
- check_python2_module
- check_python3_module
- check_R_module
- check_ruby_module
- check_tcl_module
- check_tex_module
- check_vala_module

- BUILD_REQUIRES

## Checks

[ Top ] [ Chapter 7 ] [ Concepts ]

## check_prog

[ Top ] [ Checks ] [ General Functions ]

SYNOPSIS

      check_prog PROGRAM [PROGRAM2] ...

DESCRIPTION

Checks for the presence of the given program(s) in PATH. Returns TRUE if all programs are present, else FALSE.

## check_prog_req

[ Top ] [ Checks ] [ General Functions ]

SYNOPSIS

      check_prog_req PROGRAM [PACKAGE]

DESCRIPTION

Check that the given required program is present in PATH. If not, call error() indicating which package contains the program that needs to be installed. If only the program name is given, the package is assumed to be eponymous.

## check_tool

[ Top ] [ Checks ] [ General Functions ]

SYNOPSIS

      check_tool TOOL [TOOL] ...

DESCRIPTION

Checks for the presence of the given host compiler tool(s) in PATH. Returns TRUE if all tools are present, else FALSE.

## check_target_tool

[ Top ] [ Checks ] [ General Functions ]

SYNOPSIS

      check_target_tool TOOL [TOOL] ...

DESCRIPTION

Checks for the presence of the given target compiler tool(s) in PATH. Returns TRUE if all tools are present, else FALSE.

## check_pkg_config

[ Top ] [ Checks ] [ General Functions ]

SYNOPSIS

      check_pkg_config NAME "PKG_CONFIG_SPEC"

DESCRIPTION

Checks for the presence of the given development packages with pkg-config. If given pkg-config spec is found, return TRUE and defines NAME_CFLAGS and NAME_LIBS. If not found, returns FALSE.

REQUIRES

pkg-config

## check_girepository_module

[ Top ] [ Checks ] [ General Functions ]

SYNOPSIS

      check_girepository_module MODULE [MODULE2] ...

DESCRIPTION

Checks the presence of the given GObject Introspection module(s). If all given module(s) are present, returns TRUE, else FALSE.

NOTE

check_girepository_module does not distinguish how the given module(s) were installed, whether they are from a Cygwin package or manually.

REQUIRES

gobject-introspection

## check_lua_module

[ Top ] [ Checks ] [ General Functions ]

SYNOPSIS

      check_lua_module MODULE [MODULE2] ...

DESCRIPTION

Checks the presence of the given Lua module(s). If all given module(s) are present, returns TRUE, else FALSE.

NOTE

check_lua_module does not distinguish how the given module(s) were installed, whether they are from a Cygwin package or manually.

REQUIRES

lua

## check_ocaml_module

[ Top ] [ Checks ] [ General Functions ]

SYNOPSIS

      check_ocaml_module MODULE [MODULE2] ...

DESCRIPTION

Checks the presence of the given Objective Caml module(s). If all given module(s) are present, returns TRUE, else FALSE.

NOTE

check_ocaml_module does not distinguish how the given module(s) were installed, whether they are from a Cygwin package or manually.

REQUIRES

ocaml, ocaml-findlib

## check_perl_module

[ Top ] [ Checks ] [ General Functions ]

SYNOPSIS

      check_perl_module MODULE [MODULE2] ...

DESCRIPTION

Checks the presence of the given Perl module(s). If all given module(s) are present, returns TRUE, else FALSE.

NOTE

check_perl_module does not distinguish how the given module(s) were installed, whether they are from a Cygwin package or manually.

REQUIRES

perl

## check_php_module

[ Top ] [ Checks ] [ General Functions ]

SYNOPSIS

      check_php_module MODULE [MODULE2] ...

DESCRIPTION

Checks the presence of the given PHP extension(s), either binary (PECL) or PHP (PEAR) extensions. If all given module(s) are present, returns TRUE, else FALSE.

NOTE

check_php_module does not distinguish how the given module(s) were installed, whether they are from a Cygwin package or manually.

REQUIRES

php

## check_python2_module

[ Top ] [ Checks ] [ General Functions ]

SYNOPSIS

      check_python2_module MODULE [MODULE2] ...

DESCRIPTION

Checks the presence of the given Python2 module(s). If all given module(s) are present, returns TRUE, else FALSE.

NOTES

- check_python2_module does not distinguish how the given module(s) were installed, whether they are from a Cygwin package or manually.
- For Python 3 modules, use check_python3_module.
- For PyPy modules, use check_pypy_module.

REQUIRES

python2

## check_python3_module

[ Top ] [ Checks ] [ General Functions ]

SYNOPSIS

      check_python3_module MODULE [MODULE2] ...

DESCRIPTION

Checks the presence of the given Python3 module(s). If all given module(s) are present, returns TRUE, else FALSE.

NOTES

- check_python3_module does not distinguish how the given module(s) were installed, whether they are from a Cygwin package or manually.
- For Python 2 modules, use check_python2_module.
- For PyPy modules, use check_pypy_module.

REQUIRES

python3

## check_R_module

[ Top ] [ Checks ] [ General Functions ]

SYNOPSIS

      check_R_module MODULE [MODULE2] ...

DESCRIPTION

Checks the presence of the given R module(s). If all given module(s) are present, returns TRUE, else FALSE.

NOTE

check_R_module does not distinguish how the given module(s) were installed, whether they are from a Cygwin package or manually.

REQUIRES

R

## check_ruby_module

[ Top ] [ Checks ] [ General Functions ]

SYNOPSIS

      check_ruby_module MODULE [MODULE2] ...

DESCRIPTION

Checks the presence of the given Ruby module(s). If all given module(s) are present, returns TRUE, else FALSE.

NOTE

check_ruby_module does not distinguish how the given module(s) were installed, whether they are from a Cygwin package or manually.

REQUIRES

ruby

## check_tcl_module

[ Top ] [ Checks ] [ General Functions ]

SYNOPSIS

      check_tcl_module MODULE [MODULE2] ...

DESCRIPTION

Checks the presence of the given Tcl module(s). If all given module(s) are present, returns TRUE, else FALSE.

NOTE

check_tcl_module does not distinguish how the given module(s) were installed, whether they are from a Cygwin package or manually.

REQUIRES

tcl

## check_tex_module

[ Top ] [ Checks ] [ General Functions ]

SYNOPSIS

      check_tex_module MODULE [MODULE2] ...

DESCRIPTION

Checks the presence of the given TeX module(s). If all given module(s) are present, returns TRUE, else FALSE.

NOTE

check_tex_module does not distinguish how the given module(s) were installed, whether they are from a Cygwin package or manually.

REQUIRES

texlive

## check_vala_module

[ Top ] [ Checks ] [ General Functions ]

SYNOPSIS

      check_vala_module MODULE [MODULE2] ...

DESCRIPTION

Checks the presence of the given Vala module(s). If all given module(s) are present, returns TRUE, else FALSE.

NOTE

check_vala_module does not distinguish how the given module(s) were installed, whether they are from a Cygwin package or manually.

REQUIRES

vala

## BUILD_REQUIRES

[ Top ] [ Information ] [ General Functions ]

SYNOPSIS

      BUILD_REQUIRES="ATOM [ATOM] ..."

DESCRIPTION

A single-line strings containing a list of packages on which this source package depends at build-time. This will be added to the build-depends: field of the auto-generated -src.hint file.

NOTES

- Unlike REQUIRES, there is no auto-detection of build-time requirements.
- Any newlines in this variable must be escaped.
- Unlike the deprecated DEPEND variable, only actual package names, or atoms that are listed PROVIDES of other packages, may be used in this variable.